# Glib::Private< T > Class Template Reference
[Threads]

List of all members.

## Public Types

typedef void(* | DestructorFunc )(void*)

## Public Member Functions

| Private (DestructorFunc destructor_func=&Private< T >::delete_ptr)
T* | get ()
void | set (T* data)
GPrivate* | gobj ()

## Static Public Member Functions

static void | delete_ptr (void* data)

### template <class T>
class Glib::Private< T >

## Member Typedef Documentation

template <class T >

typedef void(* Glib::Private< T >::DestructorFunc)(void*)

## Constructor & Destructor Documentation

template <class T >

Glib::Private< T >::Private | ( | DestructorFunc | destructor_func = `&Private< T >::delete_ptr` | ) | `[inline, explicit]`

## Member Function Documentation

template <class T >

static void Glib::Private< T >::delete_ptr | ( | void * | data | ) | `[static]`

template <class T >

T* Glib::Private< T >::get | ( |  | ) | `[inline]`

template <class T >

GPrivate* Glib::Private< T >::gobj | ( |  | ) | `[inline]`

template <class T >

void Glib::Private< T >::set | ( | T * | data | ) | `[inline]`

The documentation for this class was generated from the following file:

- glibmm/thread.h